<?php
// $Id: flashclient.admin.inc,v 1.1.2.1 2008/08/12 07:26:18 openwereld Exp $

/**
 * @file
 * Administrative interface for flash map client.
 */

/**
 * Generate form for flash map client settings.
 * @return Form.
 */
function flashclient_settings_form() {
  $form['flashclient'] = array(
    '#type' => 'fieldset'
    , '#title' => t('Flash client')
    , '#collapsible' => TRUE
    );
  
  $form['flashclient']['flashclient_flamingo_path'] = array('#type' => 'textfield'
    , '#title' => t('Flamingo path')
    , '#default_value' => variable_get('flashclient_flamingo_path', DEFAULT_FLASHCLIENT_FLAMINGO_PATH)
    , '#description' => t('Path to the Flamingo Map components swf file.')
    );
  
  return system_settings_form($form);
}

