// $Id: MapProjection.js,v 1.1.2.2 2008/05/26 19:29:11 openwereld Exp $

/**
 * Class: OpenLayers.Control.MapProjection
 *
 * Inherits from:
 *  - <OpenLayers.Control>
 */
OpenLayers.Control.MapProjection = 
    OpenLayers.Class(OpenLayers.Control, {
    
    // todo: properties
    
    /**
     * Constructor: OpenLayers.Control.MapProjection
     * 
     * Parameters:
     * options - {Object}
     */
    initialize: function(options) {
        OpenLayers.Control.prototype.initialize.apply(this, arguments);
        
        // todo: my own initializations
    },

    draw: function() {
      OpenLayers.Control.prototype.draw.apply(this, arguments);
      
      this.redraw();
      return this.div;
    },
    
    redraw: function(evt) {
      this.div.innerHTML = $defined(this.map.displayProjection)
        ? this.map.displayProjection : this.map.projection;
    },
    
    setMap: function() {
      OpenLayers.Control.prototype.setMap.apply(this, arguments);
      this.map.events.register('changebaselayer', this, this.redraw);
    },
    
    /**
     * APIMethod: destroy 
     */    
    destroy: function() {
        // todo: my own destructions
        
        OpenLayers.Control.prototype.destroy.apply(this, arguments);
    },

    CLASS_NAME: "OpenLayers.Control.MapProjection"
});

